%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Algorithm/Diff.pm) perl(Data/Dumper.pm) perl(Digest/MD5.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(XML/LibXML.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name XML-Diff
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: - XML DOM-Tree based Diff & Patch Module
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TI/TIMM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides methods for generating and applying an XML
diffgram of two related XML files. The basis of the algorithm
is tree-wise comparison using the DOM model as provided by
XML::LibXML.

The Diffgram is well-formed XML in the XVCS namespance and
supports update, insert, delete and move operations. It is
meant to be human and machine readable. It uses XPath expressions
for locating the nodes to operate on. See the below DIFFGRAM
section for the exact syntax.

The motivation and alogrithm used by this module is discussed in
MOTIVATION below.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO Changes README
%perl_vendor_privlib/X*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

